package com.rjconsultores.ventaboletos.vo.caja;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Date;

public class VendaEmbarcadaVO {
	private Long cajaId;
	private String numAsiento;
	private Integer categoriaId;
	private Integer claseServicioId;
	private Integer marcaId;
	private Integer origemId;
	private Integer destinoId;
	private Integer corridaId;
	private Date fecCorrida;
	private Integer tipoVentaId;
	private Date fechorViaje;
	private Date fechorVenta;
	private Integer puntoVentaId;
	private String numOperacion;
	private Integer empresaPuntoVentaId;
	private Integer empresaCorridaId;
	private Integer estacionId;
	private Integer usuarioId;
	private Integer clienteId;
	private BigDecimal precio;
	private BigDecimal importeTaxaEmbarque;
	private BigDecimal importePedagio;
	private BigDecimal importeOutros;
	private BigDecimal importeSeguro;
	private Integer rutaId;
	private Integer formaPagoId;
	private BigInteger empresaId;
	private Long boletoId;
	private Date fecModIf;
	private String numFolioPreimpresso;
	private String serieImpFiscal;
	
	public VendaEmbarcadaVO() {
		fecModIf = new Date(System.currentTimeMillis());
	}

	public Long getBoletoId() {
		return boletoId;
	}

	public void setBoletoId(Long boletoId) {
		this.boletoId = boletoId;
	}

	public BigInteger getEmpresaId() {
		return empresaId;
	}

	public void setEmpresaId(BigInteger empresaId) {
		this.empresaId = empresaId;
	}

	public Integer getFormaPagoId() {
		return formaPagoId;
	}

	public void setFormaPagoId(Integer formaPagoId) {
		this.formaPagoId = formaPagoId;
	}

	public Long getCajaId() {
		return cajaId;
	}

	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}

	public String getNumAsiento() {
		return numAsiento;
	}

	public void setNumAsiento(String numAsiento) {
		this.numAsiento = numAsiento;
	}

	public Integer getCategoriaId() {
		return categoriaId;
	}

	public void setCategoriaId(Integer categoriaId) {
		this.categoriaId = categoriaId;
	}

	public Integer getClaseServicioId() {
		return claseServicioId;
	}

	public void setClaseServicioId(Integer claseServicioId) {
		this.claseServicioId = claseServicioId;
	}

	public Integer getMarcaId() {
		return marcaId;
	}

	public void setMarcaId(Integer marcaId) {
		this.marcaId = marcaId;
	}

	public Integer getOrigemId() {
		return origemId;
	}

	public void setOrigemId(Integer origemId) {
		this.origemId = origemId;
	}

	public Integer getDestinoId() {
		return destinoId;
	}

	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}

	public Integer getCorridaId() {
		return corridaId;
	}

	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}

	public Date getFecCorrida() {
		return fecCorrida;
	}

	public void setFecCorrida(Date fecCorrida) {
		this.fecCorrida = fecCorrida;
	}

	public Integer getTipoVentaId() {
		return tipoVentaId;
	}

	public void setTipoVentaId(Integer tipoVentaId) {
		this.tipoVentaId = tipoVentaId;
	}

	public Date getFechorViaje() {
		return fechorViaje;
	}

	public void setFechorViaje(Date fechorViaje) {
		this.fechorViaje = fechorViaje;
	}

	public Date getFechorVenta() {
		return fechorVenta;
	}

	public void setFechorVenta(Date fechorVenta) {
		this.fechorVenta = fechorVenta;
	}

	public Integer getPuntoVentaId() {
		return puntoVentaId;
	}

	public void setPuntoVentaId(Integer puntoVentaId) {
		this.puntoVentaId = puntoVentaId;
	}

	public String getNumOperacion() {
		return numOperacion;
	}

	public void setNumOperacion(String numOperacion) {
		this.numOperacion = numOperacion;
	}

	public Integer getEmpresaPuntoVentaId() {
		return empresaPuntoVentaId;
	}

	public void setEmpresaPuntoVentaId(Integer empresaPuntoVentaId) {
		this.empresaPuntoVentaId = empresaPuntoVentaId;
	}

	public Integer getEmpresaCorridaId() {
		return empresaCorridaId;
	}

	public void setEmpresaCorridaId(Integer empresaCorridaId) {
		this.empresaCorridaId = empresaCorridaId;
	}

	public Integer getEstacionId() {
		return estacionId;
	}

	public void setEstacionId(Integer estacionId) {
		this.estacionId = estacionId;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	public Integer getClienteId() {
		return clienteId;
	}

	public void setClienteId(Integer clienteId) {
		this.clienteId = clienteId;
	}

	public BigDecimal getPrecio() {
		return precio;
	}

	public void setPrecio(BigDecimal precio) {
		this.precio = precio;
	}

	public BigDecimal getImporteTaxaEmbarque() {
		return importeTaxaEmbarque;
	}

	public void setImporteTaxaEmbarque(BigDecimal importeTaxaEmbarque) {
		this.importeTaxaEmbarque = importeTaxaEmbarque;
	}

	public BigDecimal getImportePedagio() {
		return importePedagio;
	}

	public void setImportePedagio(BigDecimal importePedagio) {
		this.importePedagio = importePedagio;
	}

	public BigDecimal getImporteOutros() {
		return importeOutros;
	}

	public void setImporteOutros(BigDecimal importeOutros) {
		this.importeOutros = importeOutros;
	}

	public BigDecimal getImporteSeguro() {
		return importeSeguro;
	}

	public void setImporteSeguro(BigDecimal importeSeguro) {
		this.importeSeguro = importeSeguro;
	}

	public Integer getRutaId() {
		return rutaId;
	}

	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}
	
	public Date getFecModIf() {
		return fecModIf;
	}

	public void setFecModIf(Date fecModIf) {
		this.fecModIf = fecModIf;
	}

	public String getNumFolioPreimpresso() {
		return numFolioPreimpresso;
	}

	public void setNumFolioPreimpresso(String numFolioPreimpresso) {
		this.numFolioPreimpresso = numFolioPreimpresso;
	}

	public String getSerieImpFiscal() {
		return serieImpFiscal;
	}

	public void setSerieImpFiscal(String serieImpFiscal) {
		this.serieImpFiscal = serieImpFiscal;
	}
	
}
